Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class AttachmentCodec

    java.lang.Object
      |
      +--weblogic.webservice.encoding.AbstractCodec
            |
            +--weblogic.webservice.encoding.AttachmentCodec

Direct Known Subclasses:
  DataHandlerArrayCodec, DataHandlerCodec, ImageArrayCodec, ImageCodec, MimeMultipartArrayCodec, MimeMultipartCodec, StringAttachmentCodec, XMLSourceArrayCodec, XMLSourceCodec

public abstract class AttachmentCodec
extends AbstractCodec

See Also:
  Serialized Form

Constructor Summary
`AttachmentCodec()`

Method Summary
`protected void` | `addBodyElement(XMLName name, javax.xml.soap.SOAPMessage message)`
`java.lang.Object` | `deserialize(XMLName name, Attribute att, weblogic.xml.schema.binding.DeserializationContext context)`
`protected java.lang.Object` | `deserialize(XMLName name, javax.xml.soap.SOAPMessage message, weblogic.xml.schema.binding.DeserializationContext context)`
`java.lang.Object` | `deserialize(XMLName name, XMLInputStream reader, weblogic.xml.schema.binding.DeserializationContext context)`
`protected abstract java.lang.Object` | `deserializeContent(java.lang.Object content)`
`protected javax.xml.soap.AttachmentPart` | `getAttachmentPart(XMLName name, javax.xml.soap.SOAPMessage message)`
`protected abstract java.lang.String` | `getContentType()`
`protected void` | `serialize(java.lang.Object input, XMLName name, javax.xml.soap.SOAPMessage message, weblogic.xml.schema.binding.SerializationContext context)`
`void` | `serialize(java.lang.Object obj, XMLName name, XMLOutputStream writer, weblogic.xml.schema.binding.SerializationContext context)`
`protected abstract java.lang.Object` | `serializeContent(java.lang.Object input)`

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentCodec

    public AttachmentCodec()

Method Detail

### deserialize

    protected java.lang.Object deserialize(XMLName name,
                                           javax.xml.soap.SOAPMessage message,
                                           weblogic.xml.schema.binding.DeserializationContext context)
                                    throws javax.xml.rpc.JAXRPCException

### deserializeContent

    protected abstract java.lang.Object deserializeContent(java.lang.Object content)

### addBodyElement

    protected void addBodyElement(XMLName name,
                                  javax.xml.soap.SOAPMessage message)
                           throws javax.xml.soap.SOAPException

### serialize

    protected void serialize(java.lang.Object input,
                             XMLName name,
                             javax.xml.soap.SOAPMessage message,
                             weblogic.xml.schema.binding.SerializationContext context)
                      throws javax.xml.rpc.soap.SOAPFaultException

### serializeContent

    protected abstract java.lang.Object serializeContent(java.lang.Object input)

### getContentType

    protected abstract java.lang.String getContentType()

### getAttachmentPart

    protected javax.xml.soap.AttachmentPart getAttachmentPart(XMLName name,
                                                              javax.xml.soap.SOAPMessage message)

### deserialize

    public final java.lang.Object deserialize(XMLName name,
                                              XMLInputStream reader,
                                              weblogic.xml.schema.binding.DeserializationContext context)
                                       throws DeserializationException

### deserialize

    public final java.lang.Object deserialize(XMLName name,
                                              Attribute att,
                                              weblogic.xml.schema.binding.DeserializationContext context)
                                       throws DeserializationException

### serialize

    public final void serialize(java.lang.Object obj,
                                XMLName name,
                                XMLOutputStream writer,
                                weblogic.xml.schema.binding.SerializationContext context)
                         throws SerializationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference